Tracira
API referenceSettings

Rotate the workspace webhook token

Workspace-admin only. Rate limited to 5 rotations per hour.

POST
/api/settings/rotate-token

Authorization

sessionAuth
better-auth.session_token<token>

Browser session cookie used by logged-in Tracira users. Secure-prefixed variants may also be used by the browser.

In: cookie

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/settings/rotate-token"
{  "webhookToken": "string"}
{  "error": "string",  "code": "string",  "fields": {    "property1": "string",    "property2": "string"  }}
{  "error": "string",  "code": "string",  "fields": {    "property1": "string",    "property2": "string"  }}
{  "error": "string",  "code": "string",  "fields": {    "property1": "string",    "property2": "string"  }}